## org.hibernate.dialect.resolver
Class StandardDialectResolver

    java.lang.Object
      org.hibernate.dialect.resolver.AbstractDialectResolver
          org.hibernate.dialect.resolver.StandardDialectResolver

All Implemented Interfaces:
  DialectResolver

    public class StandardDialectResolver

extends AbstractDialectResolver

The standard Hibernate resolver.

Author:
  Steve Ebersole

Constructor Summary
`StandardDialectResolver()`

Method Summary
`protected Dialect` `resolveDialectInternal(DatabaseMetaData metaData)` Perform the actual resolution without caring about handling `SQLException`s.

Methods inherited from class org.hibernate.dialect.resolver.AbstractDialectResolver
`resolveDialect`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardDialectResolver

    public StandardDialectResolver()

Method Detail

### resolveDialectInternal

    protected Dialect resolveDialectInternal(DatabaseMetaData metaData)
                                      throws SQLException

  Description copied from class: `AbstractDialectResolver`
  Perform the actual resolution without caring about handling `SQLException`s.

  Specified by:
    `resolveDialectInternal` in class `AbstractDialectResolver`
  Parameters:
    `metaData` - The database metadata
  Returns:
    The resolved dialect, or null if we could not resolve.
  Throws:
    `SQLException` - Indicates problems accessing the metadata.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.